<script setup>
import { storeToRefs } from 'pinia'
import { useScheduleStore } from '~~/store/schedule'

const emit = defineEmits(['exit'])
const schedule = useScheduleStore()
const { startString, submit } = storeToRefs(schedule)
const formSubmit = () => {
  emit('exit')
  schedule.submit()
}
</script>

<template>
  <div>
    <div
      class="p-4 md:p-8 container dark:bg-neutral-900 rounded-lg border-2 border-white flex flex-col justify-between"
    >
      <div>
        <h1 class="text-4xl text-center">
          会議を設定する
        </h1>
      </div>
      <div>
        <div class="mt-8">
          <div class="flex flex-col">
            <MTitleSchedule />
            <MTimeStartSchedule />
          </div>
        </div>
      </div>

      <div class="flex gap-4 justify-end">
        <button
          class="border border-gray-700 rounded-lg py-0 m-0 px-5 bg-red-700"
          hover="bg-red-500"
          @click="emit('exit')"
        >
          キャンセル
        </button>
        <button
          :disabled="!startString"
          class="border rounded-lg py-3 px-2 bg-blue-600 text-white border-gray-700"
          hover="bg-blue-700" @click="formSubmit"
        >
          保存
        </button>
      </div>
    </div>
  </div>
</template>

<style scoped>
.margin-none {
    margin: 0 !important;
}
</style>

